/*
* Prefixed by https://autoprefixer.github.io
* PostCSS: v8.4.14,
* Autoprefixer: v10.4.7
* Browsers: defaults,not dead,last 949 versions
*/

a {text-decoration: none; color: black;}
a:visited {color: black;}

nav {
	width: 100%;
	position: fixed;
	background-color: #FDFDFD;
	top: 0px;
	z-index: 100;
	color: black;
	-webkit-box-sizing: border-box;
	   -moz-box-sizing: border-box;
	        box-sizing: border-box; 
	font-size: 1em;
	font-family: 'Abel', sans-serif;	
	height: 61px;
}


nav img {
	height: auto; 
	float: left; 
	padding-top: 0.3em;
}

nav ul {
	right: 20px;
	/*visibility: hidden;*/
	list-style-type: none;
	margin: 0;
}

nav li {
	color: black;
}

nav h3, nav .homepage {
    float: left; 
    padding: 0.8em 0 0 0.5em; 
    font-size: 1.3rem;
    font-weight: bold;
    
}

.homepage:hover {color: black;}

nav .bothmenu, nav .mobilemenu {
	visibility: hidden;
	display: block;
	color: black;
	font-weight: bold;
	text-decoration: none;
}

nav .contact {  
	display: block;
	visibility: visible;
	padding: 1.3em 1.3em 0.8em 1.3em;
	background-color: #FDFDFD;
	float: left;
	font-weight: bold;
	
}




nav .burger {
	position: absolute;
	top: 0;
	right: 0;
	z-index: 1;
	width: 40px;
	height: 60px;
	margin: auto;
	padding-right: 1.3em;
	display: -webkit-box;
	display: -webkit-flex;
	display: -moz-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-align: center;
	-webkit-align-items: center;
	   -moz-box-align: center;
	    -ms-flex-align: center;
	        align-items: center;
	-webkit-box-pack: center;
	-webkit-justify-content: center;
	   -moz-box-pack: center;
	    -ms-flex-pack: center;
	        justify-content: center;
}

nav .burger > div {
	position: relative;
	width: 100%;
	height: 2px;
	background-color: black;
	display: -webkit-box;
	display: -webkit-flex;
	display: -moz-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-align: center;
	-webkit-align-items: center;
	   -moz-box-align: center;
	    -ms-flex-align: center;
	        align-items: center;
	-webkit-box-pack: center;
	-webkit-justify-content: center;
	   -moz-box-pack: center;
	    -ms-flex-pack: center;
	        justify-content: center;
	-webkit-transition: all 0.4s	;
	-o-transition: all 0.4s	;
	-moz-transition: all 0.4s	;
	transition: all 0.4s	;

}

nav .burger > div:before,
nav .burger > div:after {
	content: '';
	position: absolute;
	z-index: 1;
	top: -8px;
	width: 100%;
	height: 2px;
	background: inherit;

}

nav .burger > div:after {
	top: 8px;
}

nav .contact {
	visibility: hidden;
}

nav .openmenu {
	max-height: 0px;
	position: fixed;
	top: 20px;
	right: 20px;
	
	overflow: hidden;
	
}

a.mobilemenu {
	visibility: none;
	text-align: center;
	padding: 1.3em 1.3em 0.8em 1.3em;
	background: white;	
}

a.bothmenu {
	visibility: none;
	text-align: center;
	padding: 1.3em 1.3em 0.8em 1.3em;
	background: white;	
}

.toggler {
	position: absolute;
	top: 20px;
	right: 20px;
	cursor: pointer;
	width: 30px;
	height: 30px;
	opacity: 0;
	z-index: 2;
	
}



.toggler:checked + .burger > div {
	-webkit-transform: rotate(135deg);
	   -moz-transform: rotate(135deg);
	    -ms-transform: rotate(135deg);
	     -o-transform: rotate(135deg);
	        transform: rotate(135deg);
}
	


.toggler:checked + .burger > div:before,
.toggler:checked + .burger > div:after {	
	top: 0;
	-webkit-transform: rotate(90deg);
	   -moz-transform: rotate(90deg);
	    -ms-transform: rotate(90deg);
	     -o-transform: rotate(90deg);
	        transform: rotate(90deg);	
}

.toggler:checked ~ .openmenu {
	max-height: 500px;

}

.toggler:checked ~ .openmenu > ul > li > a.mobilemenu,
.toggler:checked ~ .openmenu > ul > li > a.bothmenu

 {
	visibility: visible;
	-webkit-transition: all 0.9s;
	-o-transition: all 0.9s;
	-moz-transition: all 0.9s;
	transition: all 0.9s;
	border-left: 1px solid black;
	border-bottom: 1px solid black;
}

nav a:hover ~ nav {
color: red;
display: none;
}





@media screen and (min-width: 700px) {
	
	nav .burger {display: none;}
	nav .homepage, nav img {
		-ms-grid-column: 1;
		    grid-column-start: 1;
		-ms-grid-column-span: 0;
		grid-column-end: 1;
	}
	nav h3 {font-size: 1.3em;}
	nav div.openmenu {
		-ms-grid-column: 2;
		    grid-column-start: 2;
		-ms-grid-column-span: 0;
		grid-column-end: 2;
		visibility: visible;
		max-height: 3em;
		min-width: 23em;
		position: static;
		float: right;
		background-color: #FDFDFD;
		
	}
	
	nav a.bothmenu {
		visibility: visible;
		background-color: #FDFDFD;
		float: left;
		padding: 1.3em 1.3em 0.8em 1.3em;
		
	}

	nav .mobilemenu {display: none;}
	
	nav .burger > div {display: none;}
	
}

@media screen and (min-width: 1100px) {

	nav div.openmenu {
		min-width: 43em;
	}
	nav a.contact {
		display: block;
		visibility: visible;
		background-color: #FDFDFD;
		float: left;
		padding: 1.3em 1.3em 0.8em 1.3em;
		
	}
}